define('aim/absence/view/AddResourcesButtonView',['aim/util/Utils'], function(Utils) {
	var AddResourcesButtonView = Backbone.View.extend({
		el: '#naomi-filter-content',
		
		events: {
			"click #add-resource-button" : "handleAddResources",
			"click #remove-resource-button" : "handleRemoveResources"
		},

		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
			
		render : function() {
			return this;
		},
		
		handleAddResources: function(event) {
			var ids = new Array();
		    AJS.$( "#naomi-resources-multiselect option:selected" ).each(function() {
		        ids.push(this.value);
		      });
			this.model.set('selectedResourceIds',ids);
			this.model.set('operation','addResources');
			this.model.save(null, {success:function(model, result, options) {
				Utils.validateBarModel(model, 'naomi.templates.js.jirarp.board.message', '#filter-dialog-message-bar');
				AJS.$("#findResources").val("");
				return this;
			}});
		},
		
		handleRemoveResources: function(event) {
			var ids = new Array();
		    AJS.$( "#naomi-selected-resources-multiselect option:selected" ).each(function() {
		        ids.push(this.value);
		      });
			this.model.set('selectedResourceIds',ids);
			this.model.set('operation','removeResources');
			this.model.save(null, {success:function(model, result, options) {
				Utils.validateBarModel(model, 'naomi.templates.js.jirarp.board.message', '#filter-dialog-message-bar');
				AJS.$("#findResources").val("");
				return this;
			}});
		}
	});
	return AddResourcesButtonView;
});