define('aim/admin/view/AnalyticsConfigView',['aim/util/Utils',], function(Utils) {
	var AnalyticsConfigView = Backbone.View.extend({
		
		el: '#analytics-config',
		
		events: {
			"change #analytics-color-0" : "color0Changed",
			"change #analytics-color-1" : "color1Changed",
			"change #analytics-color-2" : "color2Changed",
			"change #analytics-color-3" : "color3Changed",
			"change #analytics-threshold-0" : "threshold0Changed",
			"change #analytics-threshold-1" : "threshold1Changed",
			"change #analytics-threshold-2" : "threshold2Changed",
			"change #analytics-number-format" : "numberFormatChanged"
		},

		initialize : function() {
			this.model.fetch();
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			AJS.$("#analytics-color-0").attr("value", this.model.get('color0'));
			AJS.$("#analytics-color-0").attr("style", "background-color: "+this.model.get('color0'));
			AJS.$("#analytics-color-1").attr("value", this.model.get('color1'));
			AJS.$("#analytics-color-1").attr("style", "background-color: "+this.model.get('color1'));
			AJS.$("#analytics-color-2").attr("value", this.model.get('color2'));
			AJS.$("#analytics-color-2").attr("style", "background-color: "+this.model.get('color2'));
			AJS.$("#analytics-color-3").attr("value", this.model.get('color3'));
			AJS.$("#analytics-color-3").attr("style", "background-color: "+this.model.get('color3'));
			AJS.$("#analytics-threshold-0").attr("value", this.model.get('threshold0'));
			AJS.$("#analytics-threshold-1").attr("value", this.model.get('threshold1'));
			AJS.$("#analytics-threshold-2").attr("value", this.model.get('threshold2'));
			AJS.$("#analytics-number-format").attr("value", this.model.get('numberFormat'));
			return this;	
		},
		
		color0Changed : function(event){
			var color = event.currentTarget.value;
			this.model.set('color0', color);
			this.model.save(null, {success:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.message");
				var flag = Utils.sendMessage('success',title,'auto',text);
			},error:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.message");
				Utils.sendMessage('error',title,'manual',text);
			}});				
			AJS.$("#analytics-color-0").css( "background-color", color );
		},
		color1Changed : function(event){
			var color = event.currentTarget.value;
			this.model.set('color1', color);
			this.model.save(null, {success:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.message");
				var flag = Utils.sendMessage('success',title,'auto',text);
			},error:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.message");
				Utils.sendMessage('error',title,'manual',text);
			}});			
			AJS.$("#analytics-color-1").css( "background-color", color );
		},
		color2Changed : function(event){
			var color = event.currentTarget.value;
			this.model.set('color2', color);
			this.model.save(null, {success:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.message");
				var flag = Utils.sendMessage('success',title,'auto',text);
			},error:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.message");
				Utils.sendMessage('error',title,'manual',text);
			}});			
			AJS.$("#analytics-color-2").css( "background-color", color );
		},
		color3Changed : function(event){
			var color = event.currentTarget.value;
			this.model.set('color3', color);
			this.model.save(null, {success:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.message");
				var flag = Utils.sendMessage('success',title,'auto',text);
			},error:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.message");
				Utils.sendMessage('error',title,'manual',text);
			}});			
			AJS.$("#analytics-color-3").css( "background-color", color );
		},
		threshold0Changed : function(event){
			var threshold = event.currentTarget.value;
			this.model.set('threshold0', threshold);
			this.model.save(null, {success:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.message");
				var flag = Utils.sendMessage('success',title,'auto',text);
			},error:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.message");
				Utils.sendMessage('error',title,'manual',text);
			}});	
		},
		threshold1Changed : function(event){
			var threshold = event.currentTarget.value;
			this.model.set('threshold1', threshold);
			this.model.save(null, {success:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.message");
				var flag = Utils.sendMessage('success',title,'auto',text);
			},error:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.message");
				Utils.sendMessage('error',title,'manual',text);
			}});	
		},
		threshold2Changed : function(event){
			var threshold = event.currentTarget.value;
			this.model.set('threshold2', threshold);
			this.model.save(null, {success:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.message");
				var flag = Utils.sendMessage('success',title,'auto',text);
			},error:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.message");
				Utils.sendMessage('error',title,'manual',text);
			}});	
		},
		numberFormatChanged : function(event){
			var threshold = event.currentTarget.value;
			this.model.set('numberFormat', threshold);
			this.model.save(null, {success:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.saved.value.message");
				var flag = Utils.sendMessage('success',title,'auto',text);
			},error:function(model, res, options) {
				var title= AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.title");
				var text = AJS.I18n.getText("naomi.templates.js.jirarp.admin.board.message.error.value.message");
				Utils.sendMessage('error',title,'manual',text);
			}});	
		}
	});
	return AnalyticsConfigView;
});