define('aim/assignment/view/FavoriteFilterView',[], function() {
	var FavoriteFilterView = Backbone.View.extend({
		el: '#favorite-filter-ul',
		
		events: {
			"click .naomi-filter-favorite" : "handleFilterChange"
		},

		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
			
		render : function() {
			var tmpOps = {};
			var selectDatas = {};
			selectDatas.selectValues = new Array();
			var filterList = this.model.get('favoriteFilterList');			
			var resourceIndex = _.indexBy(filterList, 'id');
			var selectedFilter = this.model.get("selectedFilter");
			_.each(filterList, function(filter) {
				var selectData = {};
				selectData.id = filter.id;
				if(filter.id == selectedFilter){
					selectData.selected = "selected";
				}
				selectData.id = filter.id;
				selectData.filterName = filter.filterName;
				selectDatas.selectValues.push(selectData);
			});
			this.$el.html(Naomi.Templates.Filter.favorit(tmpOps, null, selectDatas));
			return this;
		},
		
		handleFilterChange: function(event) {
			if(event && event.currentTarget && event.currentTarget.id) {
				var ids = event.currentTarget.id.split("-");
				if(ids && ids.length == 3) {
					var filterId = ids[2];
					this.model.get("filterContextModel").set("selectedFilter",filterId);
					this.model.get("filterContextModel").save();
					this.model.get("contextModel").set("selectedFilter",filterId);
					this.model.get("contextModel").set("resourceFilterChanged","true");
					this.model.get("contextModel").save();
				}
			}
		}
	});

	return FavoriteFilterView;
});