define('aim/assignment/view/SelectProjectResourceActionView',['aim/assignment/model/ProjectResourceAction'], function(ProjectResourceAction) {
	var SelectProjectResourceActionView = Backbone.View.extend({
		
		el: "#jira",
		
		events: {
			"click #removeAssignment": "removeAssignment"
		},
		
		removeAssignment : function(event){
			var projectId = event.currentTarget.dataset.projectid;
			var projectKey = event.currentTarget.dataset.projectkey;
			var projectName = event.currentTarget.dataset.projectname;
			var resourceId = event.currentTarget.dataset.resourceid;
			var resourceKey = event.currentTarget.dataset.resourcekey;
			var resourceName = event.currentTarget.dataset.resourcename;
			var baseModel = this.model;
			var projectResourceAction = new ProjectResourceAction(null, 
					{action: event.currentTarget.id, 
					projectId: projectId,
					resourceId: resourceId,
//					year: baseModel.get("year"),
					week: baseModel.get("currentCalendarWeek")
					});
			
			event.preventDefault();
		    AJS.$.get(AJS.$(this).attr('href'), function() {
		        var popup = new AJS.Dialog(500,200, 'aui-your-dialog');
		        var headerText = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.remove.assignment.dialog.header.text");
		        var panelpart1 = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.remove.assignment.dialog.panel.part.1");
		        var panelpart2 = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.remove.assignment.dialog.panel.part.2");
		        var panelpart3 = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.remove.assignment.dialog.panel.part.3");
		        var close = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.remove.assignment.dialog.button.cancel");
		        var ok = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.remove.assignment.dialog.button.ok");
		        popup.addHeader( headerText );
		        popup.addPanel( projectName, panelpart1 + resourceName + panelpart2+projectName + panelpart3, "panel-body");
		        popup.addButton(close, function (dialog) {dialog.hide();}, 'aui-your-cancel-button');
		        popup.addButton(ok, function (dialog) {
		        	dialog.hide();
					projectResourceAction.save(null, {success:function(model, res, options) {
						baseModel.fetch();
					}});
		        }, 'aui-your-remove-button');
		        popup.show();
		    }); 
			
		},
		
		onClose: function(){
			    this.model.unbind("click", this.render);
		}
	});
	return SelectProjectResourceActionView;
});