define('aim/main/view/SingleSelectView',[], function() {
	var SingleSelectView = Backbone.View.extend({
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
			this.selector = this.$el.selector+"-selector";
		},
		
		events: function(){
			var _events = {};
	        _events["change " + this.selector ] = "selectionChanged";
	        return _events;
		},
		
		render : function() {
			var preSelect = this.model.get("selectedValue");
			var tmpOps = {};
			var selectDatas = {};
			selectDatas.selectValues = new Array();
			var self=this;
			_.each(this.model.get("selectOptions"), function(selectOption) {
				var selectData = {};
				selectData.id = selectOption.value;
				selectData.name = selectOption.label;
				if( preSelect == selectOption.value){
					selectData.selected='selected';
					self.selection=true;
				}
				selectDatas.selectValues.push(selectData);
			});
			this.$el.find(this.selector).html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
			if(this.selection==true){
				this.$el.find(this.selector).prepend(Naomi.Templates.JiraRp.placeholder());
			}else{
				this.$el.find(this.selector).prepend(Naomi.Templates.JiraRp.selectedPlaceholder());
			}
			this.$el.find(this.selector).auiSelect2();
			return this;
		},
		selectionChanged: function(event){
			var selectedMode = event.currentTarget.value;
			this.model.set('selectedValue',selectedMode);
		}
	});
	return SingleSelectView;
});